Subject: Re: Event Detection

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 27 Jun 2000 13:50:39 -0500

I think you've got the ends of the conversation confused.  Off-hook happens
in the terminating MG, while ringback happens in the originating MG.  The
originating MG has no in-band way of detecting that the called party has
answered.  Instead, the terminating MG tells the terminating MGC, which
signals the originating MGC, which in turn modifies the terminations
associated with the call in the originating MG.  Agreed that speech clipping
could occur, but this is a normal hazard of VoIP operation.

> -----Original Message-----
> From: Chuong Nguyen [SMTP:[email-masked]]
> Sent: Tuesday, June 27, 2000 2:30 PM
> To:   [email-masked]
> Subject:      Re: Event Detection
>
> Well Tom can something be done now?
>
> It is a very important feature which can prevent speech clipping.
> If the off-hook detected by the endpoint (TDM termination) has to result
> in MG sending a notify to MGC.
> Upon which MGC has to send a Modify to connection (RTP termination) to
> stop ringback.
> If there is any network delay, speech clipping could be pronounced.
>
> I thought one of the goal of Megaco is to at a minimun maintain the same
> capability as MGCP.
>
> I guess the MG can always buffer the speech until the RTP ringing is
> stopped.
> Or just send the speech w/the ringing until ringing is stopped by MGC.
> Or somehow has the MG detected speech ("signal"?) and stop ringing - a new
> package?
>
>
> Thanks
> Chuong
>
> Flemming Andreasen wrote:
>
>       "Rosen, Brian" wrote:
>
>       > Hmm, did you just see the message from Chuong Nguyen or
>       > is there a warp in the space/time fabric of the universe?
>       >
>       > The reply is the same - events are scoped to a termination,
>       > not a context.  Off hook is not detectable on the RTP.
>       > It occurs to me to wonder if this is the same as MGCP.
>
>       It is. In MGCP, if you want to detect an event on the endpoint you
> use the
>       normal event detection syntax, i.e. simply include the event in the
> list of
>       RequestedEvents for the endpoint. If you want to detect the event on
> the
>       connection, you use the "event@connection" syntax instead however
> not all
>       events can be detected on a connection (and vice versa actually).
> The
>       off-hook event (as defined right now) cannot be detected on a
> connection.
>
>       One note related to Chuong's message. MGCP's single endpoint model
>       inherently contains the synchronization you are looking for to turn
> off
>       ringback on a connection when detecting off-hook on the endpoint. To
> achieve
>       something similar in Megaco's dual endpoint model, you either need
> some form
>       of script as Brian suggested, or an event/signal construct similar
> to MGCP's
>       "@connection", e.g. "@termination". You could for example achieve
> the latter
>       by simply defining such a signal and define the semantics
> accordingly - the
>       worst that can happen is that the protocol police will come looking
> for you.
>
>       -- Flemming
>
>       >
>       > We intended it to be.  You can set an event using a
>       > wildcard, as with MGCP, but I think that detection is
>       > on an endpoint, not a connection, and you can't stop
>       > the ringback signal on the RTP with the off hook event
>       > on the analog line.
>       >
>       > Stream mode does not affect events.
>       >
>       > You can't have a Media Descriptor in an embedded event.
>       >
>       > Brian
>       >
>       > > -----Original Message-----
>       > > From: Mario Monteiro [ <mailto:[email-masked]>]
>       > > Sent: Friday, June 23, 2000 10:29 AM
>       > > To: [email-masked]
>       > > Subject: Event Detection
>       > >
>       > >
>       > > If there are two termination ids within a context, an SCN and an
> RTP
>       > > termination, will an event which occurs on the SCN termination
> also be
>       > > "seen" at the RTP termination?
>       > >
>       > > The specific case I am refering to is a terminating circuit
> where an
>       > > off-hook (answer) detected on the SCN is also seen at the RTP.
> The RTP
>       > > termination is connected via a IP network path to the
>       > > originating side.
>       > > Would like this event detection to trigger removal of the
>       > > signal applied
>       > > at the RTP (KeepActive off and off-hook event detection at RTP
> armed)
>       > > when the off-hook occurs. Also is my understanding correct that
> the
>       > > StreamMode at the RTP termination does not affect this event
>       > > detection?
>       > >
>       > > Another question. Can the MediaDescriptor (StreamMode) be set as
> an
>       > > embedded event such that the stream mode gets changed when a
> specified
>       > > event occurs? Only noticed Signal Descriptor and Event
>       > > Descriptor in the
>       > > spec.
>       > >
>       > > An eary response will be much appreciated.
>       > >
>
>       --
>       Flemming Andreasen                Phone: +1 732 452 1667
>       Cisco Systems                     Fax:   +1 240 359 5839
>
> --
>   Alcatel USA, Inc             Internet: [email-masked]
>   1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
>   **** The opinions expressed are not those of Alcatel USA, Inc ****
>

---

From: Chuong Nguyen <[email-masked]>
Date: Tue, 27 Jun 2000 14:30:02 -0500

The approach that I am talking about is different than the one given in
Appendix A example.

What we want to do is apply ringing to the terminating TDM (al/ri) and
RTP (cg/rt) terminations
and upon detection of off-hook at the TDM termnation, we want to be able
to stop
the signals, al/ri and cg/rt respectively at TDM and RTP terminations.

The cg/rt will get propagated from the terminating RTP termination to
the originating RTP
termination thus to the originating TDM termination and finally to the
caller.

With Appendix A, example, the ringing is applied at the orginating and
termination TDM terminations.
Thus requiring a Notify be sent from terminating MG to MGC upon
detection of off-hook at the
terminating TDM termination.
Upon receipt of the Notify by MGC, MGC sends a Modify to originating MW
to turn off ringing
at the originating TDM termination.

We are trying to cut out the Notify and Modify messages to prevent any
possible
speech clipping.

Any thoughts on this approach?

Tom-PT Taylor wrote:

>
>
> I think you've got the ends of the conversation confused.  Off-hook
> happens in the terminating MG, while ringback happens in the
> originating MG.  The originating MG has no in-band way of detecting
> that the called party has answered.  Instead, the terminating MG tells
> the terminating MGC, which signals the originating MGC, which in turn
> modifies the terminations associated with the call in the originating
> MG.  Agreed that speech clipping could occur, but this is a normal
> hazard of VoIP operation.
>
>      If the off-hook detected by the endpoint (TDM termination) has to
>      result in MG sending a notify to MGC.
>      Upon which MGC has to send a Modify to connection (RTP
>      termination) to stop ringback.
>      I thought one of the goal of Megaco is to at a minimun maintain
>      the same capability as MGCP.
>
>      I guess the MG can always buffer the speech until the RTP ringing
>      is stopped.
>      Or somehow has the MG detected speech ("signal"?) and stop
>      ringing - a new package?
>
>
>      Thanks
>      Chuong
>
>           It is. In MGCP, if you want to detect an event on the
>           endpoint you use the
>           normal event detection syntax, i.e. simply include the event
>           in the list of
>           RequestedEvents for the endpoint. If you want to detect the
>           event on the
>           connection, you use the "event@connection" syntax instead
>           however not all
>           events can be detected on a connection (and vice versa
>           actually). The
>           off-hook event (as defined right now) cannot be detected on
>           a connection.
>
>           inherently contains the synchronization you are looking for
>           to turn off
>           ringback on a connection when detecting off-hook on the
>           endpoint. To achieve
>           something similar in Megaco's dual endpoint model, you
>           either need some form
>           of script as Brian suggested, or an event/signal construct
>           similar to MGCP's
>           "@connection", e.g. "@termination". You could for example
>           achieve the latter
>           worst that can happen is that the protocol police will come
>           looking for you.
>
>           -- Flemming
>
>           >
>           > > If there are two termination ids within a context, an
>           SCN and an RTP
>           > > termination, will an event which occurs on the SCN
>           termination also be
>           > > The specific case I am refering to is a terminating
>           circuit where an
>           > > off-hook (answer) detected on the SCN is also seen at
>           the RTP. The RTP
>           > > at the RTP (KeepActive off and off-hook event detection
>           at RTP armed)
>           > > when the off-hook occurs. Also is my understanding
>           correct that the
>           > > Another question. Can the MediaDescriptor (StreamMode)
>           be set as an
>           > > embedded event such that the stream mode gets changed
>           when a specified